@charset "utf-8";

/* ----------------------------------------
	recruit.css
---------------------------------------- */
#recruit {
  padding-top: 90px;
}

/* recruit intro */
#recruit-intro {
  margin: 8rem 10%;
  display: flex;
  align-items: center;
  gap: 2rem;
  background-color: #3067d1;
  border-radius: 20px;
  padding: 6rem 4rem 30rem 4rem;
  position: relative;
  z-index: 0;
}

.recruit-intro-ttl {
  flex: 1;
  color: #fff;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.2;
  text-align: center;
}

.recruit-intro-ttl span {
  color: #bac7cc;
  font-family: "Montserrat", sans-serif;
  font-size: 0.75rem;
  letter-spacing: 0.15rem;
  text-align: center;
}

.recruit-intro-text {
  flex: 1.4;
  color: #fff;
}

/* slide show */
.recruit-slider {
  position: relative;
  overflow: hidden;
  margin-top: -33rem;
  z-index: 1;
}

/* slide　track */
.recruit-slider-track {
  display: flex;
  width: calc(332px * 10); /* スライド数×幅 */
  animation: scroll 40s linear infinite;
}

/* slide */
.recruit-slide {
  flex: 0 0 auto;
  width: 332px;
  height: 428px;
  margin: 0 1rem;
}

.recruit-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50% / 40%;
}

/* slide show animation */
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

/* 福利厚生 */
#benefits {
  background-color: #eaf0fa;
  padding: 8rem 15%;
  margin-top: 8rem;
  border-radius: 30px;
}

#benefits-relief,
#benefits-growth,
#benefits-vacation,
#benefits-easy-to-work,
#benefits-event {
  display: flex;
  background-color: #fff;
  padding: 4rem;
  border-radius: 20px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
}

/* 募集要項 */
#job-description {
  margin: 8rem 15%;
}

.benefits-link {
  width: 100%;
  height: auto;
  display: flex;
  gap: 3rem;
  flex-wrap: wrap;
  margin-bottom: 4rem;
  border-radius: 15px;
}

.benefits-link-container {
  flex: 1;
  background-color: #fff;
  padding: 1rem 0;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.benefits-link-container:hover{
  transform: scale(1.1);
}

.benefits-link-container p {
  font-weight: 700;
  text-align: center;
  margin-bottom: 1rem;
}

.benefits-link-icon {
  width: 30%;
  margin: 0 auto 0.5rem auto;
}

.benefits-link-arrow {
  width: 15%;
  margin: 0 auto;
}

.h2-line {
  border-bottom: 1px solid #bac7cc;
  margin-bottom: 4rem;
}

/* .benefits-container {
  margin: 0 10%;
} */

.benefits-content {
  display: flex;
}

.benefits-content:not(:last-of-type) {
  margin-bottom: 4rem;
}

.benefits-content div {
  flex: 1;
  display: flex;
  gap: 2rem;
}

.benefits-content ul {
 flex: 1.5;
}

.benefits-content div figure {
  flex: 1;
}

.benefits-content div p {
  flex: 6;
  font-size: 1.2rem;
  font-weight: 700;
  margin-top: 0.5rem;
}

.benefits-content ul li {
  border-bottom: 1px solid #bac7cc;
  padding: 0 1.5rem 1.5rem 1.5rem;
  line-height: 2;
}

.benefits-content ul li:not(:last-of-type) {
  margin-bottom: 1.5rem;
}

.fa-circle {
  color: #3067d1;
  margin-right: 0.7rem;
}

/* 募集要項 */
/* タブ切り替えデザイン */
.tab {
    display: flex;
    flex-wrap: wrap;
    gap: 0 10px;
    margin: 0 10%;
}

.tab > label {
    flex: 1 1;
    order: -1;
    opacity: .5;
    min-width: 70px;
    padding: .6em 1em;
    border-radius: 5px 5px 0 0;
    background-color: #3067d1;
    color: #fff;
    font-size: .9em;
    text-align: center;
    cursor: pointer;
}

.tab > label:hover {
    opacity: .8;
}

.tab input {
    display: none;
}

.tab > div {
    display: none;
    width: 100%;
    padding: 1.5em 0;
    background-color: #fff;
}

.tab label:has(:checked) {
    opacity: 1;
}

.tab label:has(:checked) + div {
    display: block;
}

/* table design */
table {
  width: 100%;
  border-collapse: collapse;
}

table th,
td {
  padding: 1rem 2rem;
}

table th {
  background: #eaf0fa;
  width: 20%;
  border: 1px solid #2589d0;
}

table td {
  border: 1px solid #bac7cc;
}

#recruit .btn-box {
  margin: 4rem 0;
}

#recruit .btn {
  max-width: 350px;
}

#recruit .fa-arrow-right {
  width: 30px;
  height: 30px;
  line-height: 30px;
}

/* @media only screen and (max-width: 768px) {
  table th,
  td {
    width: auto;
    display: block;
    border-top: none;
  }

  table tr:first-child {
    border-top: 1px solid #d5d5d5;
  }
} */

/* 画面幅1180px以下 */
@media screen and (max-width: 1180px) {
  /* 福利厚生 */
  #recruit-intro {
    margin: 8rem 6%;
    display: block;
  }

  .recruit-intro-ttl {
    font-size: 1.65rem;
    text-align: left;
    margin-bottom: 2rem;
  }

  .recruit-intro-ttl span {
    font-size: 0.7rem;
  }

  #benefits {
    padding: 8rem 6%;
  }

  /* 募集要項 */
  #job-description {
    margin: 8rem 6%;
  }

  .tab {
    margin: 0;
  }
}

/* 画面幅1024px以下 */
@media screen and (max-width: 1024px) {
  /* 福利厚生 */
  .benefits-link {
    gap: 2.5rem;
    justify-content: flex-start; /* 左揃えに変更 */
  }

  .benefits-link-container {
    flex: 0 0 calc((100% - 5rem) / 3); /* 3列分（gapを考慮） */
    max-width: calc((100% - 5rem) / 3);
  }

  #benefits-relief,
  #benefits-growth,
  #benefits-vacation,
  #benefits-easy-to-work,
  #benefits-event {
    flex-direction: column;
    justify-content: center;
  }

  .benefits-content div {
    align-items: center;
    margin-left: 0.3rem;
    margin-bottom: 2.5rem;
  }

  .benefits-content div p {
    flex: 9;
  }
}

/* 画面幅767px以下 */
@media screen and (max-width: 767px) {
  /* 福利厚生 */
  #recruit .h1-wrapper {
    margin-bottom: 4rem;
  }

  #recruit-intro {
    margin: 4rem 6%;
    padding: 4rem 2rem 32rem 2rem;
  }
  
  .recruit-intro-ttl {
    font-size: 1.5rem;
  }

  .recruit-intro-ttl span {
    font-size: 0.6rem;
  }

  #benefits {
    padding: 4rem 6%;
  }

  .benefits-link {
    width: 90%;
    margin: 0 auto 4rem auto;
    gap: 2rem;
    justify-content: flex-start; /* 中央寄せにしない */
  }

  .benefits-link-container {
    flex: 0 0 calc((100% - 2rem) / 2); /* 2列表示 */
    max-width: calc((100% - 2rem) / 2);
  }

  .benefits-content div p {
    flex: 7;
  }

  /* 募集要項 */
  #job-description {
    margin: 4rem 6%;
  }

  table th,td {
		width: auto;
		display: block;
	}

  table th {
    border-bottom: none;
  }

  table td {
    border-top: none;
    border-right: 1px solid #3067d1;
    border-bottom: none;
    border-left: 1px solid #3067d1;
  }

  table tr:last-child td {
    border-bottom: 1px solid #3067d1;
  }
}

/* 画面幅575px以下 */
@media screen and (max-width: 575px) {
  /* 福利厚生 */
  #recruit-intro {
    margin: 4rem 0;
  }

  .recruit-intro-ttl {
    font-size: 1.4rem;
  }

  .recruit-intro-ttl span {
    font-size: 0.55rem;
  }

  #benefits {
    padding: 4rem 1rem;
  }

  .benefits-link {
    width: 100%;
    gap: 1.5rem;
  }

  .benefits-link-container {
    flex: 0 0 calc((100% - 1.5rem) / 2); /* 2列表示 */
    max-width: calc((100% - 1.5rem) / 2);
  }

  #benefits-relief,
  #benefits-growth,
  #benefits-vacation,
  #benefits-easy-to-work,
  #benefits-event {
    padding: 2rem;
  }

  .benefits-content div {
    gap: 1rem;
  }

  .benefits-content div p {
    flex: 5;
  }

  /* 募集要項 */
  #job-description {
    margin: 4rem 1rem;
  }
}

/* 画面幅475px以下 */
@media screen and (max-width: 475px) {
  #benefits-relief,
  #benefits-growth,
  #benefits-vacation,
  #benefits-easy-to-work,
  #benefits-event {
    padding: 2rem 1rem;
  }

  table th, td {
    padding: 1rem;
  }

  .tab > label {
    padding: .6em .9em;
  }
}
